## org.apache.batik.css.dom
Class CSSOMSVGPaint

    java.lang.Object
      org.apache.batik.css.dom.CSSOMSVGColor
          org.apache.batik.css.dom.CSSOMSVGPaint

All Implemented Interfaces:
  org.w3c.dom.css.CSSValue, org.w3c.dom.css.RGBColor, SVGColor, SVGICCColor, SVGNumberList, SVGPaint

Direct Known Subclasses:
  CSSOMSVGComputedStyle.ComputedCSSPaintValue, CSSOMSVGStyleDeclaration.StyleDeclarationPaintValue, SVGStylableElement.PresentationAttributePaintValue

public class CSSOMSVGPaint
extends CSSOMSVGColor
implements SVGPaint

This class implements the `SVGPaint` interface.

Nested Class Summary
`class` `CSSOMSVGPaint.AbstractModificationHandler` Provides an abstract implementation of a PaintModificationHandler.
`static interface` `CSSOMSVGPaint.PaintModificationHandler` To manage the modifications on a SVGPaint value.

Nested classes inherited from class org.apache.batik.css.dom.CSSOMSVGColor
`CSSOMSVGColor.AbstractComponent, CSSOMSVGColor.BlueComponent, CSSOMSVGColor.ColorNumber, CSSOMSVGColor.FloatComponent, CSSOMSVGColor.GreenComponent, CSSOMSVGColor.ModificationHandler, CSSOMSVGColor.RedComponent, CSSOMSVGColor.ValueProvider`

Field Summary

Fields inherited from class org.apache.batik.css.dom.CSSOMSVGColor
`blueComponent, greenComponent, handler, iccColors, redComponent, valueProvider`

Fields inherited from interface org.w3c.dom.svg.SVGPaint
`SVG_PAINTTYPE_CURRENTCOLOR, SVG_PAINTTYPE_NONE, SVG_PAINTTYPE_RGBCOLOR, SVG_PAINTTYPE_RGBCOLOR_ICCCOLOR, SVG_PAINTTYPE_UNKNOWN, SVG_PAINTTYPE_URI, SVG_PAINTTYPE_URI_CURRENTCOLOR, SVG_PAINTTYPE_URI_NONE, SVG_PAINTTYPE_URI_RGBCOLOR, SVG_PAINTTYPE_URI_RGBCOLOR_ICCCOLOR`

Fields inherited from interface org.w3c.dom.svg.SVGColor
`SVG_COLORTYPE_CURRENTCOLOR, SVG_COLORTYPE_RGBCOLOR, SVG_COLORTYPE_RGBCOLOR_ICCCOLOR, SVG_COLORTYPE_UNKNOWN`

Fields inherited from interface org.w3c.dom.css.CSSValue
`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

Constructor Summary
`CSSOMSVGPaint(CSSOMSVGColor.ValueProvider vp)` Creates a new CSSOMSVGPaint.

Method Summary
`short` `getColorType()` DOM: Implements `SVGColor.getColorType()`.
`short` `getPaintType()` DOM: Implements `SVGPaint.getPaintType()`.
`java.lang.String` `getUri()` DOM: Implements `SVGPaint.getUri()`.
`void` `setModificationHandler(CSSOMSVGColor.ModificationHandler h)` Sets the modification handler of this value.
`void` `setPaint(short paintType, java.lang.String uri, java.lang.String rgbColor, java.lang.String iccColor)` DOM: Implements `SVGPaint.setPaint(short,String,String,String)`.
`void` `setUri(java.lang.String uri)` DOM: Implements `SVGPaint.setUri(String)`.

Methods inherited from class org.apache.batik.css.dom.CSSOMSVGColor
`appendItem, clear, getBlue, getColorProfile, getColors, getCssText, getCssValueType, getGreen, getICCColor, getItem, getNumberOfItems, getRed, getRGBColor, initialize, insertItemBefore, removeItem, replaceItem, setColor, setColorProfile, setCssText, setRGBColor, setRGBColorICCColor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGColor
`getICCColor, getRGBColor, setColor, setRGBColor, setRGBColorICCColor`

Methods inherited from interface org.w3c.dom.css.CSSValue
`getCssText, getCssValueType, setCssText`

Constructor Detail

### CSSOMSVGPaint

    public CSSOMSVGPaint(CSSOMSVGColor.ValueProvider vp)

  Creates a new CSSOMSVGPaint.

Method Detail

### setModificationHandler

    public void setModificationHandler(CSSOMSVGColor.ModificationHandler h)

  Sets the modification handler of this value.

  Overrides:
    `setModificationHandler` in class `CSSOMSVGColor`

### getColorType

    public short getColorType()

  DOM: Implements `SVGColor.getColorType()`.

  Specified by:
    `getColorType` in interface `SVGColor`
  Overrides:
    `getColorType` in class `CSSOMSVGColor`

### getPaintType

    public short getPaintType()

  DOM: Implements `SVGPaint.getPaintType()`.

  Specified by:
    `getPaintType` in interface `SVGPaint`

### getUri

    public java.lang.String getUri()

  DOM: Implements `SVGPaint.getUri()`.

  Specified by:
    `getUri` in interface `SVGPaint`

### setUri

    public void setUri(java.lang.String uri)

  DOM: Implements `SVGPaint.setUri(String)`.

  Specified by:
    `setUri` in interface `SVGPaint`

### setPaint

    public void setPaint(short paintType,
                         java.lang.String uri,
                         java.lang.String rgbColor,
                         java.lang.String iccColor)

  DOM: Implements `SVGPaint.setPaint(short,String,String,String)`.

  Specified by:
    `setPaint` in interface `SVGPaint`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.